Subject: Re: bug#59884: ‘gui-installed-desktop-os-encrypted’ test intermittent failures

From: Ludovic Courtès <[email-masked]>
Date: Sat, 10 Dec 2022 16:35:35 +0100

Ludovic Courtès <[email-masked]> skribis:

> Yeah.  One possibility is timing: (restart-service 'guix-daemon) kills
> the daemon’s process group, waits for the group leader to terminate,
> then starts the daemon.  I think there’s a possibility that other
> processes in the group (like a ‘guix substitute’ child) are still alive
> at that point and they might be the one keeping the device busy.
> Sleeping for a couple of seconds should allow us to kinda verify that
> hypothesis.

For good measure, I threw a retry loop in commit
61b7e9687757aff013b99e4ab15669a950c8b222.  The test passes on my laptop
and it passed on ci.guix as well:

  https://ci.guix.gnu.org/eval/31297

I’m considering the case closed and now getting ready for 1.4.0rc2.

Ludo’.